<?php
namespace Claromentis\Search\Indexing\Client;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array();






interface ClientInterface
{
    public function CreateIndex($params = array());
    public function AddMapping($type, $params);
    public function Index($type, $document_id, $document_data, $params = array());
    public function Update($type, $document_id, $document_data, $params = array());
    public function Delete($type, $document_id);
    public function DeleteByQuery($type, $query);
}